Process Document From Files

Sending an identification document for full processing in the cloud according to the requested settings in the query parameters.

POST /v1/Document/ProcessDocumentFromFiles

Parameters

NameInTypeRequiredDescription
traceIdquerystringoptionalA string provided by a programmer and echoed back unchanged in the response, designed to facilitate easier tracking of requests and responses.
dateFormatquerystringoptionalThe format in which dates will be returned in the retrieved data.
returnFrontImagequerybooleanoptionalIndicates whether it is necessary to return the front image of the document cropped and aligned in the response.
returnBackImagequerybooleanoptionalIndicates whether it is necessary to return the back image of the document cropped and aligned in the response.
returnFaceImagequerybooleanoptionalIndicates whether it is necessary to return the main portrait image appearing on the Id document, if available
returnSignatureImagequerybooleanoptionalIndicates whether it is necessary to return the signature image appearing on the submitted Id document, if one exists.
returnGhostFaceImagequerybooleanoptionalIndicates whether it is necessary to return the ghost face image appearing on the submitted Id document, if one exists.
returnFaceImageLocationquerybooleanoptionalIndicates whether it is necessary to return the pixel location of the main portrait image on the Id document, if one exists.
returnFieldsAoiquerybooleanoptionalIndicates whether to return the pixel location of each field in the response as it appears on the submitted Id document.
returnFieldValidationsquerybooleanoptionalIndicates whether to perform validation on the fields of the submitted identification document.
returnFieldLabelsquerybooleanoptionalField labels are user-friendly descriptions of the field type, which can be displayed on a webpage or shown to the customer. This input parameter indicates whether to include field labels for each field in the response.
returnCalculatedFieldsquerybooleanoptionalCalculated fields are fields that do not appear as they are on the document but are inferred from the information present on it. For example, the age field is calculated from the date of birth. This input parameter is used to decide whether to include calculated fields in the response.
returnFrontImageLocationquerybooleanoptionalThis field is used to decide whether to return the pixel coordinates in the image where the Id document is located.
returnGhostFaceImageLocationquerybooleanoptionalIndicates whether it is necessary to return the pixel location of the ghost portrait image on the Id document, if one exists.
returnSignatureLocationquerybooleanoptionalIndicates whether it is necessary to return the pixel location of the signature on the Id document, if one exists.
returnDocumentForensicAuthenticationsquerybooleanoptionalThis field is used to decide whether to perform a full forensic authentication of the Id document.
shouldFailExpiredDocumentsquerybooleanoptionalWhen authentication is performed for the identifying document, this field is used to determine whether the authentication should be automatically failed for expired documents (when this field is set to true), or to ignore the fact that the document is expired when calculating the authentication score (when this field is set to false). In any case, a warning will be issued indicating that the document has expired. The default value is true.
checkForSelfieLivenessquerybooleanoptionalIn addition to submitting a document image and a selfie image, this field is used to decide whether a liveness check should be performed on the submitted selfie, in addition to comparing it to the portrait image on the ID document.
fetchWebFieldsquerybooleanoptionalSome documents allow verification and field retrieval against official government sources. This input parameter is used to decide whether to perform such verification, if it is available for the submitted Id document.
performAddressValidationquerybooleanoptionalAllows deciding whether to validate the address appearing on the submitted Id document, if one exists.
performPostalCodeValidationquerybooleanoptionalAllows deciding whether to validate the postal code appearing on the submitted Id document, if one exists.
performFullNameBreakdownquerybooleanoptionalThis field is used to break down the full name of the person on the document into its individual components (e.g., prefix, suffix, first name, middle name, last name, etc.) for easier processing.
performIdentityVerificationquerybooleanoptionalThis field is used to decide whether to verify the identity of the person on the Id document against databases. This is applicable only for documents from the United States.
socialSecurityNumberVerificationquerystringoptionalIf identity verification against databases is selected, this field is used to provide the person’s Social Security Number (SSN) to be included in the identity verification process.
phoneNumberVerificationquerystringoptionalIf identity verification against databases is selected, this field is used to provide the Person’s Phone Number to be included in the identity verification process.
emailAddressVerificationquerystringoptionalIf identity verification against databases is selected, this field is used to provide the Person’s Email Address to be included in the identity verification process.
performAAMVADriverLicenseVerificationquerybooleanoptionalThis field is used to decide whether to send the extracted driver's license or ID details for verification against AAMVA databases. This is applicable only for supported documents from the United States.
performAgeVerificationquerybooleanoptionalThis field is used to verify age using person's date of birth compared against external databases.
performKnowledgeBasedAuthenticationquerybooleanoptionalIndicates whether a Knowledge-Based Authentication (KBA) questionnaire should be performed.
checkForDocumentLivenessquerybooleanoptionalThis field is used to decide whether a liveness check should be performed on the submitted Id document.
portraitReplacementThresholdScorequeryinteger / int32optionalWhen a liveness check is performed for a document. This field is intended to determine the threshold score, below which the Portrait Replacement check will be defined as “Fail” and above which as “Pass”.
screenCaptureThresholdScorequeryinteger / int32optionalWhen a liveness check is performed for a document. This field is intended to determine the threshold score, below which the Screen Capture check will be defined as “Fail” and above which as “Pass”.
paperPhotocopyThresholdScorequeryinteger / int32optionalWhen a liveness check is performed for a document. This field is intended to determine the threshold score, below which the Paper Photocopy check will be defined as “Fail” and above which as “Pass”.
ageLimitqueryinteger / int32optionalThis field is used to verify whether the age of the person on the document is below the specified age entered in this field. The validation result will be included in the response as a field named "IsBelowAgeLimit", indicating whether the condition is met.
shouldHandleEmbeddedChipquerybooleanoptionalThis field is used to determine whether to consider the embedded chip within the document (if one exists) during its analysis process, including both data extraction and authentication stages. This process will be carried out in two steps and will require an additional API call to the cloud, as described in the documentation.

Request body

optional (12)
NameTypeRequiredDescription
imageFrontstring / binaryoptionalThe image of the front side of the document.
imageBackstring / binaryoptionalThe image of the back side of the document.
facePlusCardImagestring / binaryoptionalA single image in which a person is photographed holding the document next to their face without obscuring it. In this case, a facial comparison will be performed between the person and the profile photo on the document, if one exists.
selfieImagestring / binaryoptionalA selfie image of the person to whom the document belongs. Uploading this image will trigger facial verification between the selfie and the face image on the document, if one exists.
frontInfraredImagestring / binaryoptionalThe front side of the document, photographed under infrared lighting.
backInfraredImagestring / binaryoptionalThe back side of the document, photographed under infrared lighting.
frontUltravioletImagestring / binaryoptionalThe front side of the document, photographed under ultraviolet lighting.
backUltravioletImagestring / binaryoptionalThe back side of the document, photographed under ultraviolet lighting.
lightPassThroughImagestring / binaryoptionalLight transmission image through the document, intended for dedicated scanning devices only.
hologramsImagestring / binaryoptionalAn image that sharpens and enhances the existing holograms on the document, intended for dedicated scanning devices only.
pdf417BarcodeImagestring / binaryoptionalA close-up image of the PDF417 barcode found on the identification document. Intended for more advanced cloud-based decoding purposes.
fieldIdsToRedactstringoptionalComma-separated list of field IDs to redact in the output image.

Code sample language

curl -X POST "{{API.SANDBOX_BASE_URL}}/Document/ProcessDocumentFromFiles" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "imageFront=@imageFront.jpg" \
  -F "imageBack=@imageBack.jpg" \
  -F "facePlusCardImage=@facePlusCardImage.jpg" \
  -F "selfieImage=@selfieImage.jpg" \
  -F "frontInfraredImage=@frontInfraredImage.jpg" \
  -F "backInfraredImage=@backInfraredImage.jpg" \
  -F "frontUltravioletImage=@frontUltravioletImage.jpg" \
  -F "backUltravioletImage=@backUltravioletImage.jpg" \
  -F "lightPassThroughImage=@lightPassThroughImage.jpg" \
  -F "hologramsImage=@hologramsImage.jpg" \
  -F "pdf417BarcodeImage=@pdf417BarcodeImage.jpg" \
  -F "fieldIdsToRedact=FIELDIDSTOREDACT"

Responses

200OK